<?php

use Illuminate\Support\Facades\Route;
use Modules\Callback\Http\Controllers\CallbackLogController;
use Modules\Callback\Http\Controllers\JLEvent\JLEventController;
use Modules\Callback\Http\Controllers\JuliangAccountController;
use Modules\Callback\Http\Controllers\TencentAdqController;

Route::prefix('callback')->group(function () {
    Route::prefix('juliangAccount')->group(function(){
        Route::get('list', [JuliangAccountController::class, 'list']);
        Route::post('addAccount', [JuliangAccountController::class, 'addAccount']);
        Route::post('updateCallbackConfig', [JuliangAccountController::class, 'updateCallbackConfig']);
        Route::post('turnCallbackState', [JuliangAccountController::class, 'turnCallbackState']);
        Route::post('unbindPromotion', [JuliangAccountController::class, 'unbindPromotion']);
        Route::get('log/list', [CallbackLogController::class, 'list']);
        Route::post('log/callbackAgain', [CallbackLogController::class, 'callbackAgain']);
    });

    Route::prefix('jlEvent')->group(function(){
        Route::post('add', [JLEventController::class, 'add']);
        Route::post('update', [JLEventController::class, 'update']);
        Route::get('list', [JLEventController::class, 'list']);
    });

    Route::prefix('tencentadq')->group(function(){
        Route::post('add', [TencentAdqController::class, 'index']);
        Route::post('update', [TencentAdqController::class, 'update']);
        Route::get('index', [TencentAdqController::class, 'index']);
    });

});

